Bug 1020813 - missing requires: vxl-devel for vcl_limits.h
missing requires: vxl-devel for vcl_limits.h
Status: NEW
Product: Fedora
Classification: Fedora
Component: InsightToolkit (Show other bugs)
Unspecified Unspecified
unspecified Severity low
: ---
: ---
Assigned To: Mario Ceresa
Fedora Extras Quality Assurance
: Reopened
Depends On:
  Show dependency treegraph
Reported: 2013-10-18 06:32 EDT by Ian Collier
Modified: 2017-11-03 13:36 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2013-10-20 05:50:51 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Ian Collier 2013-10-18 06:32:50 EDT
If you install InsightToolkit-devel and write a program that includes /usr/include/InsightToolkit/itkNumericTraits.h then it will break at the line

#include "vcl_limits.h"

because that's not included in the package.  It can be found in vxl-devel, so probably InsightToolkit-devel should bring vxl-devel in as a dependency.
Comment 1 Sebastian Pölsterl 2013-10-20 05:50:51 EDT
This is the case in f20 and rawhide already, it won't be fixed in f19 I'm afraid, though.
Comment 2 Hansol Jeong 2017-09-13 03:18:29 EDT
This problem still occurs Fedora 26 and InsightToolkit-devel 4.9.1 :(

While I compile older version of PyCA, I encountered this issue. (Refer https://github.com/rkwitt/quicksilver)
Comment 3 Ian Collier 2017-09-13 06:12:29 EDT
Reopening as I can verify that dependency is still missing on Fedora 26.
Comment 4 Mario Ceresa 2017-11-03 13:36:49 EDT
Dear Ian, Hansol,
I'm not actively maintaining this package any more... I can try but it's been a while since I last modified it and I don't know the new build system well enough to be productive with it.

If anyone is willing to help me I can give it a try...



Note You need to log in before you can comment on or make changes to this bug.